.product-item {
  $parent: &;

  position: relative;

  &__container.container {
    padding: 0;
  }

  &__image {
    position: relative;
    width: 100%;
    display: flex;
    flex: 0 0 auto;

    &:before {
      content: "";
      position: absolute;
      top: 40%;
      left: 0;
      right: 0;
      bottom: 0;
      background: linear-gradient(0deg, #000000 0%, rgba(0, 0, 0, 0) 100%);
    }

    // TODO: maybe remove the margin on this element by default
    .image {
      display: block;
    }

    img {
      display: block;
      margin: 0;
      width: 100%;
      max-width: 100%;
      height: auto;
    }
  }

  &__title {
    margin-bottom: 10px;
  }

  &__info {
    position: absolute;
    bottom: 20px;
    left: 20px;
    right: 20px;
    line-height: 1;
    display: flex;
    align-items: baseline;

    .image {
      flex: 0 0 50%;
      max-width: 125px;
      display: inline-block;
      vertical-align: bottom;

      [class*="--3up"] & {
        max-width: 105px;

        @include breakpoint($medium) {
          flex: 0 0 30%;
        }
        @include breakpoint($medium) {
          flex: 0 0 50%;
        }
      }
    }

    p {
      //flex:0 0 50%;
      flex-grow: 1;
      margin: 0;
      color: #fff;
      display: inline-block;
      max-width: 225px;
      font-size: 18px;
      display: flex;
      @include font-archer-light;
      line-height: 1;
      align-items: flex-end;
      padding-left: 15px;

      span {
        &:first-child {
          font-size: 60px;
          letter-spacing: -2px;
          padding-right: 5px;

          @include breakpoint($medium) {
            font-size: 45px;
          }
          @include breakpoint($large) {
            font-size: 60px;
          }
        }
      }
    }
    @include breakpoint($small) {
      bottom: 10px;
      left: 8px;
      right: 8px;
      align-items: flex-end;
      .image {
        flex: 1 1 80px;
      }
      p {
        font-size: 16px;
        max-width: 170px;
        span:first-child {
          font-size: 30px;
          padding-right: 10px;
          position: relative;
          top: -10px;
        }
      }
    }
  }

  &__content {
    padding: 25px 40px 25px 25px;

    p:last-of-type {
      margin-bottom: 0;
    }
  }

  &__main {
    background: #fff;
    flex: 1 1 0%;
    border-radius: 7px;
    overflow: hidden;

    @include breakpoint($medium) {
      [class*="--1up"] & {
        display: flex;
        flex-direction: row;

        > * {
          //flex: 1;
          //-ms-flex:1;
          width: 50%;
        }
      }
    }
  }

  &__footer {
    border-top: 1px solid $border-color;
    padding-top: 20px;
    margin-top: 20px;

    > *:last-child {
      margin-bottom: 0;
    }

    .cta + .arrowlink {
      margin-top: 15px;
    }
  }

  //
  &__main {
    display: flex;
    flex-direction: column;
  }

  &__content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
  }

  &__copy {
    flex-grow: 1;
  }

  &--blank {
    margin: 0;
  }
}
